%define upstream_name    File-Find-Object
%define upstream_version v0.2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An object-oriented directory tree traversal module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::Find::Object is a directory tree traversal module for Perl 5. It
is similar to File::Find but is object-oriented, can be instantiated, has
an iterative interface, can be interrupted in the middle, and does not have
the horrible API of File::Find.

It allows to perform multiple tree parsing in the same application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.13-3.mga6
+ Revision: 1027299
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.13-2.mga6
+ Revision: 966104
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 shlomif <shlomif> 0.2.13-1.mga6
+ Revision: 840619
- New version 0.2.13 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.2.11-3.mga5
+ Revision: 747019
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.11-2.mga5
+ Revision: 684722
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.2.11-1.mga5
+ Revision: 619672
- update to v0.2.11

* Mon Feb 10 2014 jquelin <jquelin> 0.2.9-1.mga5
+ Revision: 588403
- update to v0.2.9

* Sat Oct 19 2013 umeabot <umeabot> 0.2.8-2.mga4
+ Revision: 532287
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 0.2.8-1.mga4
+ Revision: 467758
- update to v0.2.8

* Fri Jun 07 2013 jquelin <jquelin> 0.2.7-1.mga4
+ Revision: 439287
- update to v0.2.7

* Sun Jan 13 2013 umeabot <umeabot> 0.2.5-2.mga3
+ Revision: 367202
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 shlomif <shlomif> 0.2.5-1.mga3
+ Revision: 284091
- update to v0.2.5

* Mon Jan 30 2012 shlomif <shlomif> 0.2.3-4.mga2
+ Revision: 203331
- Correct some typos in the documentation

* Fri Jan 21 2011 jquelin <jquelin> 0.2.3-3.mga1
+ Revision: 29377
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.2.3-2.mga1
+ Revision: 11408
- imported package perl-File-Find-Object


* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.3-2mdv2010.0
+ Revision: 410620
- update to 0.2.3

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.2-2mdv2010.0
+ Revision: 407691
- force rebuild
- rebuild using %%perl_convert_version

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.2-1mdv2010.0
+ Revision: 389774
- update to new version 0.2.2

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 387755
- update to new version 0.2.1

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2009.1
+ Revision: 343946
- update to new version 0.2.0

* Wed Feb 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.9-1mdv2009.1
+ Revision: 339342
- update to new version 0.1.9

* Tue Jan 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.8-1mdv2009.1
+ Revision: 331584
- update to new version 0.1.8

* Fri Jan 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.7-1mdv2009.1
+ Revision: 330183
- update to new version 0.1.7

* Mon Jan 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.6-1mdv2009.1
+ Revision: 328528
- update to new version 0.1.6

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.5-1mdv2009.1
+ Revision: 324503
- update to new version 0.1.5

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.4-1mdv2009.1
+ Revision: 320430
- update to new version 0.1.4

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.3-1mdv2009.1
+ Revision: 302817
- update to new version 0.1.3

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 297540
- update to new version 0.1.2

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2009.1
+ Revision: 296796
- update to new version 0.1.1

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.1.0-3mdv2009.0
+ Revision: 256917
- rebuild

* Thu Mar 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2008.1
+ Revision: 180622
- update to new version 0.1.0

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.9-1mdv2008.1
+ Revision: 174715
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.0.8-1mdv2008.0
+ Revision: 59248
- 0.0.8


* Mon Mar 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.0.7-1mdv2007.0
+ Revision: 132939
- 0.0.7

* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.0.6-1mdv2007.1
+ Revision: 95138
- 0.0.6

* Sat Nov 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.0.5-1mdv2007.1
+ Revision: 85427
- Buildrequires
- 0.0.5
- 0.0.4

* Sun Jul 16 2006 Olivier Thauvin <nanardon@mandriva.org> 0.0.3-1mdv2007.0
+ Revision: 41266
- 0.0.3
- import perl-File-Find-Object

* Tue Dec 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.0.2-1mdk
- 0.0.2

* Thu Jun 23 2005 Olivier Thauvin <nanardon@mandriva.org> 0.0.1-1mdk
- first mdk release

